Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.model
Class DefaultSimpleInstance

    java.lang.Object
      edu.stanford.smi.protege.model.DefaultFrame
          edu.stanford.smi.protege.model.DefaultInstance
              edu.stanford.smi.protege.model.DefaultSimpleInstance

All Implemented Interfaces:
  Frame, Instance, Localizable, SimpleInstance, Serializable, Comparable<Frame>

    public class DefaultSimpleInstance

extends DefaultInstance
implements SimpleInstance

This is the concrete subclass of DefaultInstance which handles everything but classes, slots, and facets. This is also the class to be subclassed by users of the "java_packages" feature.

Author:
  Ray Fergerson
See Also:
  Serialized Form

Constructor Summary
`DefaultSimpleInstance()`
`DefaultSimpleInstance(KnowledgeBase kb, FrameID id)` This constructor should be used by classes which use the "java_packages" feature of protege to load instances of user defined classes.
`DefaultSimpleInstance(KnowledgeBase kb, String name, Cls cls)` This constructor may be called by applications that need to construct instances by calling a constructor directly rather than by calling KnowledgeBase.createInstance (for example, JESS).

Method Summary
`Icon` | `getIcon()`
`SimpleInstance` | `rename(String name)` This is as close as we come to renaming a frame.
`String` | `toString()`

Methods inherited from class edu.stanford.smi.protege.model.DefaultInstance
`addDirectType, addInstanceListener, copy, deepCopy, getBrowserText, getDirectType, getDirectTypes, getOwnFacetValue, getOwnFacetValues, getReachableSimpleInstances, hasDirectType, hasType, moveDirectType, removeDirectType, removeInstanceListener, setDirectType, setDirectTypes, shallowCopy`

Methods inherited from class edu.stanford.smi.protege.model.DefaultFrame
`addFrameListener, addOwnFacetValue, addOwnSlotValue, areValidOwnSlotValues, assertFrameName, compareTo, delete, equals, equals, getDefaultKnowledgeBase, getDefiningProjectURI, getDirectOwnSlotValue, getDirectOwnSlotValues, getDocumentation, getFrameID, getInvalidOwnSlotValuesText, getInvalidOwnSlotValueText, getKnowledgeBase, getName, getOwnSlotAllowsMultipleValues, getOwnSlotAndSubslotValues, getOwnSlotDefaultValues, getOwnSlotFacets, getOwnSlotFacetValues, getOwnSlots, getOwnSlotValue, getOwnSlotValueCount, getOwnSlotValues, getOwnSlotValueType, getProject, getReferences, getReferences, hashCode, hasOwnSlot, isBeingDeleted, isDeleted, isEditable, isIncluded, isSystem, isValid, isValidOwnSlotValue, isVisible, localize, markDeleted, markDeleting, moveDirectOwnSlotValue, removeFrameListener, removeOwnSlotValue, setDirectOwnSlotValue, setDirectOwnSlotValues, setDocumentation, setDocumentation, setEditable, setIncluded, setOwnFacetValue, setOwnFacetValues, setOwnSlotValue, setOwnSlotValues, setSystem, setVisible`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protege.model.Instance
`addDirectType, addInstanceListener, getDirectType, getDirectTypes, getReachableSimpleInstances, hasDirectType, hasType, moveDirectType, removeDirectType, removeInstanceListener, setDirectType, setDirectTypes`

Methods inherited from interface edu.stanford.smi.protege.model.Frame
`addFrameListener, addOwnFacetValue, addOwnSlotValue, areValidOwnSlotValues, assertFrameName, copy, deepCopy, delete, getBrowserText, getDirectOwnSlotValue, getDirectOwnSlotValues, getDocumentation, getFrameID, getInvalidOwnSlotValuesText, getInvalidOwnSlotValueText, getKnowledgeBase, getName, getOwnFacetValue, getOwnFacetValues, getOwnSlotAllowsMultipleValues, getOwnSlotAndSubslotValues, getOwnSlotDefaultValues, getOwnSlotFacets, getOwnSlotFacetValues, getOwnSlots, getOwnSlotValue, getOwnSlotValueCount, getOwnSlotValues, getOwnSlotValueType, getProject, getReferences, getReferences, hasOwnSlot, isBeingDeleted, isDeleted, isEditable, isIncluded, isSystem, isValid, isValidOwnSlotValue, isVisible, markDeleted, markDeleting, moveDirectOwnSlotValue, removeFrameListener, removeOwnSlotValue, setDirectOwnSlotValue, setDirectOwnSlotValues, setDocumentation, setDocumentation, setEditable, setIncluded, setOwnFacetValue, setOwnFacetValues, setOwnSlotValue, setOwnSlotValues, setVisible, shallowCopy`

Methods inherited from interface java.lang.Comparable
`compareTo`

Constructor Detail

### DefaultSimpleInstance

    public DefaultSimpleInstance()

### DefaultSimpleInstance

    public DefaultSimpleInstance(KnowledgeBase kb,
                                 FrameID id)

  This constructor should be used by classes which use the "java_packages" feature of protege to load instances of user defined classes. The User defined classes must have a constructor whose signature (arguments) exactly match this constructor's signature.

### DefaultSimpleInstance

    public DefaultSimpleInstance(KnowledgeBase kb,
                                 String name,
                                 Cls cls)

  This constructor may be called by applications that need to construct instances by calling a constructor directly rather than by calling KnowledgeBase.createInstance (for example, JESS). All other applications should use the KnowledgeBase.createInstance call to make instances.

  Parameters:
    `name` - Pass null to cause the system to generate a name

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getIcon

    public Icon getIcon()

  Specified by:
    `getIcon` in interface `Frame`
  Overrides:
    `getIcon` in class `DefaultFrame`

### rename

    public SimpleInstance rename(String name)

  Description copied from interface: `Frame`
  This is as close as we come to renaming a frame. Creates a clone of this with the new name and deletes this.

  Specified by:
    `rename` in interface `Frame`
  Overrides:
    `rename` in class `DefaultFrame`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.